Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.core
Interface IProblemRequestor

public interface IProblemRequestor

A callback interface for receiving java problem as they are discovered by some Java operation.

Since:
  2.0
See Also:
  `IProblem`

Method Summary
`void` | `acceptProblem(IProblem problem)` Notification of a Java problem.
`void` | `beginReporting()` Notification sent before starting the problem detection process.
`void` | `endReporting()` Notification sent after having completed problem detection process.
`boolean` | `isActive()` Predicate allowing the problem requestor to signal whether or not it is currently interested by problem reports.

Method Detail

### acceptProblem

    public void acceptProblem(IProblem problem)

  Notification of a Java problem.

  Parameters:
    `problem` - IProblem - The discovered Java problem.

### beginReporting

    public void beginReporting()

  Notification sent before starting the problem detection process. Typically, this would tell a problem collector to clear previously recorded problems.

### endReporting

    public void endReporting()

  Notification sent after having completed problem detection process. Typically, this would tell a problem collector that no more problems should be expected in this iteration.

### isActive

    public boolean isActive()

  Predicate allowing the problem requestor to signal whether or not it is currently interested by problem reports. When answering `false, problem will not be discovered any more until the next iteration. This predicate will be invoked once prior to each problem detection iteration.

  `
  Returns:
    boolean - indicates whether the requestor is currently interested by problems.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.